From 2f5927e2aade732bfe81ecf3709ce55c7c3eb3fd Mon Sep 17 00:00:00 2001
From: Nic Jansma <nic@nicj.net>
Date: Tue, 21 Feb 2012 13:26:29 -0800
Subject: [PATCH] Appcelerator 1.8 / V8 changes: getType needs a different
 Array check

---
 joli.js | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/joli.js b/joli.js
index eef5129..e87a21c 100644
--- a/joli.js
+++ b/joli.js
@@ -38,7 +38,7 @@ var joli = {
     getType: function(obj) {
         if (typeof obj === "undefined" || obj === null || (typeof obj === "number" && isNaN(obj))) {
             return false;
-        } else if (obj.constructor === Array) {
+        } else if (obj.constructor === Array || (Array.isArray && Array.isArray(obj))) {
             return "array";
         } else {
             return typeof obj;
